
TYPO3.Flow - Feature # 3587

Status: New Priority: Could have
Author: Robert Lemke Category: Validation
Created: 2009-06-05 Assigned To:
Subject: Enforce validation rules for value objects already in constructor
Description

Because the values of a value object can't be changed after instantiation, we should assure that only valid value objects exist. This
should be done by validating the constructor arguments already in the constructor.

The validation mechanism should be introduced by some aspect (@around the constructor) and throw an exception if validation fails.

Related issues:
related to TYPO3.Flow - Major Feature # 3585: Implement support for value obj... New 2009-06-05

History
#1 - 2009-06-26 16:23 - Robert Lemke
- Target version changed from 1.0 alpha 2 to 283

#2 - 2009-07-13 10:51 - Robert Lemke
- Target version changed from 283 to 1.0 alpha 3

#3 - 2009-07-27 12:26 - Robert Lemke
- Target version changed from 1.0 alpha 3 to 1.0 alpha 4

#4 - 2009-09-07 09:43 - Robert Lemke
- Target version deleted (1.0 alpha 4)
